MSME Udyam Number Verification API

An MSME Udyam Number Verification API validates Udyam registration numbers and fetches MSME business details such as enterprise name, registration status, and organization type. It is widely used for vendor verification, loan processing, and compliance checks.

API Details

Request URL

POST
https://g99.in/api/public/msme/verify
Copied!

Request Body Parameters

Type Name Optional Description
String MSMENumber Required Unique registration MSME Udyam Number.

Sample Request Payload

request.json
Copied!
{
  "MSMENumber": "UDYAM-AB-11-2233344"
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://g99.in/api/public/msme/verify',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "MSMENumber": "UDYAM-AB-11-2233344"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://g99.in/api/public/msme/verify"

payload = json.dumps({
  "MSMENumber": "UDYAM-AB-11-2233344"
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://g99.in/api/public/msme/verify");
var content = new StringContent("{\r\n  \"MSMENumber\": \"UDYAM-AB-11-2233344\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
valid Boolean True | false indicating if the provided UDYAM number exists and is valid
reg String Udyam registration number
entity String MSME name as registered
type String Type of the entity. Proprietary, Partnership, Public Limited, Private Limited etc.
majorActivity String Major activity of the unit. Manufacturing or Services
gender String Gender of the owner as registered. Male, Female or Others.
socialCategory String Social category of the owner as registered. General, SC, ST, OBC.
incorporated Date Date of incorporation of MSME
commenced Date Date of commencement of operations if commenced
registered Date Date of MSME registration
classifications Array[MSME Classification Object] List of MSME classifications such as Micro, Small or Medium and corresponding effective dates. See MSME Classification Object below for the details.
locations Array[MSME Location Object] Plant/unit locations as registered. See MSME Location Object below for details.
officialAddress MSME Address Object The official registered address of the enterprise. See MSME Address Object below for the details.
nicCodes Array[MSME NIC Code Object] List of National industrial classification (NIC) codes for the activities performed by this enterprise. See MSME NIC Code Object
dic String Name of the district industry centre (DIC) where registered
dfo String Development and Facilitation office (DFO) location

MSME Classification Object

Key Type Description
date Date Date since effective
year String Financial year for which the classification is effective
type String Category Micro, Medium or Small

MSME Location Object

Key Type Description
unitName String Name of the plant / unit
unitNumber String House, plot or unit number
building String Building name of the plan location
villageOrTown String Village or town name of the plant location
block String Block / area name of the plant location
road String Name of the road
city String City name of the plant location
zip String Pin code of the plant location
state String State where plant is located
district String District name where plant is located

MSME NIC Code Object

Key Type Description
digit2 String 2 Digit NIC code and description
digit4 String 4 Digit NIC code and description
digit5 String 5 Digit NIC code and description
activity String Type of activity
date Date Effective date

MSME Address Object

Key Type Description
unitNumber String House, plot or unit number
building String Name of the building
villageOrTown String Name of the village or town
block String Block or area name
road String Name of the road
city String Registered official address city
state String State name
district String Name of the district
zip String Pin code of the location
maskedEmail String Masked registered email of the enterprise owner
maskedMobile String Masked registered mobile of the enterprise owner

Sample Response

Sample response for valid document

response.json
Copied!
{
    "valid": true,
    "reg": "UDYAM-AB-11-2233344",
    "entity": "M/S GURU INFOTECH PRIVATE LIMITED",
    "locations": {
        "unitName": "GURU INFOTECH PVT. LTD.",
        "unitNumber": "SUR NO-166/1P1 &",
        "building": "166/1P2, 8-A NATIONAL HIGHWAY, OPP. 20 NALA BRIDGE",
        "villageOrTown": "AT. DHUVA",
        "block": "",
        "road": "B/H VARMORA VITRIFIED,",
        "city": "WANKANER",
        "zip": "363621",
        "state": "GUJARAT",
        "district": "MORBI"
    },
    "classifications": {
        "0": {
            "date": "2024-25",
            "year": "2026-27",
            "type": "Small"
        },
        "1": {
            "date": "2023-24",
            "year": "2025-26",
            "type": "Small"
        },
        "2": {
            "date": "2022-23",
            "year": "2024-25",
            "type": "Small"
        },
        "3": {
            "date": "2021-22",
            "year": "2023-24",
            "type": "Small"
        },
        "4": {
            "date": "2020-21",
            "year": "2022-23",
            "type": "Small"
        }
    },
    "officialAddress": {
        "unitNumber": "SUR NO-166/1P1 &",
        "building": "8-A NATIONAL HIGHWAY",
        "villageOrTown": "OPP 20 NALA BRIDGE",
        "block": "B/U VARMORA CERAMIC",
        "road": "DHUVA ROAD",
        "city": "DHUVA",
        "state": "GUJARAT",
        "maskedMobile": "98*****838",
        "maskedEmail": "freedomcera@gmail.com",
        "district": "363621",
        "zip": "MORBI"
    },
    "type": "Private Limited Company",
    "majorActivity": "Manufacturing",
    "gender": "Male",
    "socialCategory": "General",
    "incorporated": "21/03/2017",
    "commenced": "09/03/2018",
    "dic": "MORBI",
    "dfo": "AHMEDABAD",
    "registered": "15/07/2020",
    "nicCodes": {
        "0": {
            "digit2": "23 - Manufacture of other non-metallic mineral products",
            "digit4": "2393 - Manufacture of other porcelain and ceramic products",
            "digit5": "23939 - Manufacture of ceramic products n.e.c.",
            "activity": "Manufacturing",
            "date": "15/07/2020"
        },
        "1": {
            "digit2": "23 - Manufacture of other non-metallic mineral products",
            "digit4": "2393 - Manufacture of other porcelain and ceramic products",
            "digit5": "23939 - Manufacture of ceramic products n.e.c.",
            "activity": "Manufacturing",
            "date": "16/01/2024"
        }
    }
}

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
200 2001 No Data Found.
400 4001 Malformed data or missing required parameter values.
400 4002 Invalid MSME Udyam Registration Number Format.
503 5001 Request could not be processed. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Malformed data or missing required parameter values.",
  "status": 4001,
  "error": True
}